Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class MessageDialog

    java.lang.Object
      |
      +--com.bea.wlpi.client.common.MessageDialog

public class MessageDialog
extends java.lang.Object

A dialog to display a message in a scrollable text area. This class is exists because of a problem in the current Swing JOptionPane implementation, whereby a JOptionPane does not correctly resize custom components embedded within it.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`MessageDialog(java.awt.Component parentComponent, java.lang.String message)` Create a new `MessageDialog`.
`MessageDialog(java.awt.Component parentComponent, java.lang.String message, int messageType)` Create a new `MessageDialog`.
`MessageDialog(java.awt.Component parentComponent, java.lang.String message, int messageType, int width, int height, java.lang.String title)` Create a new `MessageDialog`.
`MessageDialog(java.awt.Component parentComponent, java.lang.String message, int messageType, java.lang.String title)` Create a new `MessageDialog`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDialog

    public MessageDialog(java.awt.Component parentComponent,
                         java.lang.String message)

  Create a new `MessageDialog`.

  Parameters:
    `parentComponent` - The owner for this dialog.
    `message` - The message to display.

### MessageDialog

    public MessageDialog(java.awt.Component parentComponent,
                         java.lang.String message,
                         int messageType)

  Create a new `MessageDialog`.

  Parameters:
    `parentComponent` - The owner for this dialog.
    `message` - The message to display.
    `messageType` - The icon to display: `javax.swing.JOptionPane.ERROR_MESSAGE, WARNING_MESSAGE, INFORMATION_MESSAGE, QUESTION_MESSAGE, PLAIN_MESSAGE`.

### MessageDialog

    public MessageDialog(java.awt.Component parentComponent,
                         java.lang.String message,
                         int messageType,
                         java.lang.String title)

  Create a new `MessageDialog`.

  Parameters:
    `parentComponent` - The owner for this dialog.
    `message` - The message to display.
    `messageType` - The icon to display: `javax.swing.JOptionPane.ERROR_MESSAGE, WARNING_MESSAGE, INFORMATION_MESSAGE, QUESTION_MESSAGE, PLAIN_MESSAGE`.
    `title` - The dialog title.

### MessageDialog

    public MessageDialog(java.awt.Component parentComponent,
                         java.lang.String message,
                         int messageType,
                         int width,
                         int height,
                         java.lang.String title)

  Create a new `MessageDialog`.

  Parameters:
    `parentComponent` - The owner for this dialog.
    `message` - The message to display.
    `messageType` - The icon to display: `javax.swing.JOptionPane.ERROR_MESSAGE, WARNING_MESSAGE, INFORMATION_MESSAGE, QUESTION_MESSAGE, PLAIN_MESSAGE`.
    `title` - The dialog title.
    `width` - The dialog width.
    `height` - The dialog height.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)